TLS.pm module has bug in calculating the offset in function datasend

Bug #1657917 reported by Quang Ong on 2017-01-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libnet-smtp-tls-perl (Ubuntu)
Undecided
Unassigned

Bug Description

In the TLS.pm module, there appears to be a missing line of code.
On line 369, there's an assignment for $len variable but the $offset variable isn't updated. The $offset needs to be incremented as well.

TO fix it, a line needs to be added after $len -= $w:
ADD:
$offset += $w;

This should fix the bug. It's been documented in the CPAN bug tracker too:
https://rt.cpan.org/Public/Bug/Display.html?id=63538

As well as in PerlMonks:
http://www.perlmonks.org/?node_id=929055

Quang

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnet-smtp-tls-perl - 0.12-3

---------------
libnet-smtp-tls-perl (0.12-3) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Add patch to fix syntax problem in IO::Socket::SSL call.
    (Closes: #728660)
  * Add patch to fix error when attaching multiple files.
    (LP: #1657917)
  * Add patch to fix a spelling mistake in the documentation.
  * Mark package as autopkgtest-able.
  * Bump debhelper compatibility level to 9.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <email address hidden> Thu, 26 Jan 2017 19:35:44 +0100

Changed in libnet-smtp-tls-perl (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers